Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.examples
Class DictToOsis

    java.lang.Object
      org.crosswire.jsword.examples.DictToOsis

    public class DictToOsis

extends Object

Start of a mechanism to extract a Dictionary module to OSIS.

Author:
  DM Smith [dmsmith555 at yahoo dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Field Summary
`private static String` | `BOOK_NAME` The name of a Bible to find
`private static FieldPosition` | `pos`

Constructor Summary
`DictToOsis()`

Method Summary
`private void` | `buildDocumentClose(StringBuffer buf)`
`private void` | `buildDocumentOpen(StringBuffer buf, BookMetaData bmd)`
`private void` | `buildEntryOpen(StringBuffer buf, String entryName, String entryDef)`
`void` | `dump(String name)`
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BOOK_NAME

    private static final String BOOK_NAME

  The name of a Bible to find

  See Also:
    Constant Field Values

### pos

    private static FieldPosition pos

Constructor Detail

### DictToOsis

    public DictToOsis()

Method Detail

### main

    public static void main(String[] args)
                     throws BookException,
                            IOException

  Parameters:
    `args` -
  Throws:
    `BookException`
    `IOException`

### dump

    public void dump(String name)
              throws BookException,
                     IOException

  Throws:
    `BookException`
    `IOException`

### buildDocumentOpen

    private void buildDocumentOpen(StringBuffer buf,
                                   BookMetaData bmd)

### buildDocumentClose

    private void buildDocumentClose(StringBuffer buf)

### buildEntryOpen

    private void buildEntryOpen(StringBuffer buf,
                                String entryName,
                                String entryDef)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD